Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. And see here for current known issues.

New Member

Unable to upgrade WLC 5508 using 7.4 IOS

            while trying to push the new Software to a WLC i am getting error as mentioned.

(Cisco Controller) >transfer download path .

(Cisco Controller) >transfer download filename AIR-CT5500-K9-7-4-110-0.aes

(Cisco Controller) >transfer download start

Mode............................................. TFTP
Data Type........................................ Code
TFTP Server IP................................... x.x.x.x
TFTP Packet Timeout.............................. 6
TFTP Max Retries................................. 10
TFTP Path........................................ ./
TFTP Filename.................................... AIR-CT5500-K9-7-4-110-0.aes

This may take some time.
Are you sure you want to start? (y/N) y

TFTP Code transfer starting.

TFTP receive complete... extracting components.

Sanity check failed on file. The file was not downloaded completely!  --- > What does this mean

TFTP Failure while storing in flash! (0)

the Size of file matches with Cisco and i am not sure how to check the MD5 on this file.

ftp> put c:/Intel/AIR-CT5500-K9-7-4-110-0.aes

ftp: 119537036 bytes sent in 921.35Seconds 129.74Kbytes/sec.

MD5: 4f30835b2170487c77ac23362dc8587d

Can anyone suggest why we are getting this.

Everyone's tags (3)
15 REPLIES
Hall of Fame Super Gold

Re: Unable to upgrade WLC 5508 using 7.4 IOS

Why are you upgrading the firmware of your 5508 using CLI?  How come you are not using GUI?

MD5 hash checks out fine.

What TFTP client are you using?

Did you upgrade FUS?

New Member

Unable to upgrade WLC 5508 using 7.4 IOS

This is the process we follow and devices come with latest IOS from cisco, and the upgrades are done through CLI.

Hall of Fame Super Gold

Unable to upgrade WLC 5508 using 7.4 IOS

Try the GUI method.  It's a lot easier than what you are doing now.

Did you upgrade the FUS?  I hope you did.

Is your TFTP able to support file sizes >12 Mb?  If not, then use either SolarWinds or TFTPd32/TFTPd64.

New Member

Unable to upgrade WLC 5508 using 7.4 IOS

Do we need to put FUS first and then the IOS?

Hall of Fame Super Gold

Unable to upgrade WLC 5508 using 7.4 IOS

In this particular case, upgrade the FUS first.

Post the "sh sysinfo".  If you've already upgraded the FUS then your version should read "1.7" instead of "1.0".

New Member

Unable to upgrade WLC 5508 using 7.4 IOS

Firmware Version FPGA 1.7, Env 1.8, USB console 2.2

Hall of Fame Super Gold

Unable to upgrade WLC 5508 using 7.4 IOS

Ok, that means FUS has been upgraded.

Try doing the upgrade using GUI.  Another thing, are you upgrading to 7.4.110.0 because of HA SSO?  If yes, then don't bother with that version and jump immediately to 7.5.

New Member

Unable to upgrade WLC 5508 using 7.4 IOS

this is the IOS we are approved to use. we cant move to new version.

Hall of Fame Super Silver

Re: Unable to upgrade WLC 5508 using 7.4 IOS

Okay, so we know that the MD5 is good, now you just need to verify the tftp server that is being used. Also I would use a tftp client just to make sure that you can also see the file.

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
New Member

Unable to upgrade WLC 5508 using 7.4 IOS

can you be more specific please i didnt got the last part

Hall of Fame Super Gold

Re: Unable to upgrade WLC 5508 using 7.4 IOS

What Scott meant was use TFTP instead of FTP.

Sent from Cisco Technical Support Nintendo App

Hall of Fame Super Silver

Re: Unable to upgrade WLC 5508 using 7.4 IOS

That error is usually because the file was corrupt when I have seen it in the past. Download an MD5 checker and verify the MD5 that is listed in the download when you hover your mouse over the file name.

http://m.download.cnet.com/MD5-Checker/3000-2092_4-10410639.html

Like Leo mentioned, make sure your tftp supports large files. I use 3cdeamon

Sent from Cisco Technical Support iPhone App

-Scott
*** Please rate helpful posts ***
Hall of Fame Super Gold

Unable to upgrade WLC 5508 using 7.4 IOS

That error is usually because the file was corrupt when I have seen it in the past. Download an MD5 checker and verify the MD5 that is listed in the download when you hover your mouse over the file name.

Hmmmm ... I thought the MD5 posted at the opening thread came from the file.  Maybe not.

Agree with Scott, download the firmware again from the Cisco website.

New Member

Unable to upgrade WLC 5508 using 7.4 IOS

i have downloaded the IOS couple of times and also the MD5 check is success i checked through WinMD5 and it is matching.

After downloading i am moving this file to an FTP server from where this IOS will be used to stage/build the WLC with some basic configuration.

This error they have got and i will check with them which TFTP they use.

Cisco Employee

Unable to upgrade WLC 5508 using 7.4 IOS

debug transfer all enable

1719
Views
0
Helpful
15
Replies
CreatePlease login to create content